%define upstream_name    Test-Fatal
%define upstream_version 0.017

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Incredibly simple helpers for testing code with exceptions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.650.0
BuildRequires: perl(Try::Tiny) >= 0.70.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Test::Fatal is an alternative to the popular the Test::Exception manpage.
It does much less, but should allow greater flexibility in testing
exception-throwing code with about the same amount of typing.

It exports one routine by default: 'exception'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.17.0-2.mga10
+ Revision: 2217088
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.17.0-1.mga9
+ Revision: 1928883
- update to 0.017

* Mon Mar 21 2022 umeabot <umeabot> 0.16.0-2.mga9
+ Revision: 1813002
- Mageia 9 Mass Rebuild

* Mon Aug 10 2020 tv <tv> 0.16.0-1.mga8
+ Revision: 1612552
- update to 0.016

* Wed Feb 12 2020 umeabot <umeabot> 0.14.0-5.mga8
+ Revision: 1497347
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.14.0-4.mga7
+ Revision: 1271801
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.14.0-3.mga6
+ Revision: 1034286
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.14.0-2.mga6
+ Revision: 967004
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.14.0-1.mga6
+ Revision: 847963
- update to 0.014

* Wed Oct 15 2014 umeabot <umeabot> 0.13.0-4.mga5
+ Revision: 742487
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13.0-3.mga5
+ Revision: 686436
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.13.0-2.mga4
+ Revision: 537560
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.13.0-1.mga4
+ Revision: 487204
- update to 0.013

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 373505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 213193
- update to 0.010

* Mon Nov 07 2011 kharec <kharec> 0.8.0-1.mga2
+ Revision: 164754
- update to 0.008

* Wed Jun 15 2011 jquelin <jquelin> 0.6.0-1.mga2
+ Revision: 107462
- update to 0.006

* Wed Jan 19 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 24474
- fix specs
- imported package perl-Test-Fatal


* Sat Nov 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 594247
- import perl-Test-Fatal

